Forum Xamarin Test Cloud (Read Only)

Unable to start app IOS 10.3 - "Failed to install DeviceAgent"

Hello,

I found my test cannot run on IOS 10.3 but could run on IOS 9.

The message I met is like this:
SetUp : Calabash.XDB.Core.Exceptions.DeviceAgentException : Failed to install DeviceAgent

ExitCode: 5

    -a,--app-bundle <path/to/app-bundle.app>    Path .app bundle (for .ipas, unzip and look inside of 'Payload')
    -c,--codesign-identity  <codesign-identity> [OPTIONAL]  Identity used to codesign app bundle [device only]  DEFAULT=
    -d,--device-id  <device-identifier> iOS Simulator GUIDs
    -u,--update-app <true-or-false> [OPTIONAL]  When true, will reinstall the app if the device contains an older version than the bundle specified DEFAULT=1
install

Error installing com.apple.test.DeviceAgent-Runner to C6175432-01FC-4973-ADD9-6E1E8947CA7D: Error Domain=com.facebook.FBSimulatorControl Code=0 "Simulator does not support any of the architectures ([x86_64, i386]) of the executable at /var/folders/lg/sybnytpj6176khvmryjdq_58dz7sfq/T/xdb/DeviceAgent.iOS.Dependencies/54daf9e58e37a80353a99c2b3139b615/app/DeviceAgent-Runner.app/XCTRunner. Simulator Archs ([(null)])" UserInfo={NSLocalizedDescription=Simulator does not support any of the architectures ([x86_64, i386]) of the executable at /var/folders/lg/sybnytpj6176khvmryjdq_58dz7sfq/T/xdb/DeviceAgent.iOS.Dependencies/54daf9e58e37a80353a99c2b3139b615/app/DeviceAgent-Runner.app/XCTRunner. Simulator Archs ([(null)])}
false

Could anyone help me?

I am using:
Xamarin Studio 6.3
Xcode 8.3.1
Xamarin.UITest 2.0.7

Thank you guys in advance!

Best Answer

Answers

  • JoshuaLamkinJoshuaLamkin USUniversity ✭✭

    I am getting the same problem with

    Xamarin.UITest Version 2.0.7
    NUnit 2.6.4
    Agent 0.20.3
    XCode 8.3.1
    Xamarin Studio 6.3

    This is specific to 10.3 it works fine on 9.x or 10.0-10.2

  • JohnMillerJohnMiller USForum Administrator, Xamarin Team Xamurai

    @PeiyuanZhou,

    UITest support for Xcode 8.3 is not ready yet. I did see that there is a new pre-release Xamarin.UITest 2.0.7.1617-dev without any release notes. I am trying to learn what that includes and if that is Xcode 8.3 support.

  • NateCookPersonalNateCookPersonal USUniversity ✭✭

    I don't think it has to do with XCode 8.3. It has to do with iOS 10.3. As evidence:

    • iOS 10.2 simulator works with XCode 8.3.
    • An iOS 10.3 device does not work with XCode 8.2.1.
      Regardless, in my opinion there should be a technical bulletin at releases.xamarin.com about this issue. It would be nice to know about such things before our workflow breaks.
  • NateCookPersonalNateCookPersonal USUniversity ✭✭
  • JoshuaLamkinJoshuaLamkin USUniversity ✭✭

    Updated and working fine. Thanks

Sign In or Register to comment.